# Class yii\twig\TwigEmptyLoader

Inheritance | yii\twig\TwigEmptyLoader
Implements | Twig\Loader\LoaderInterface
Source Code | https://github.com/yiisoft/yii2-twig/blob/master/TwigEmptyLoader.php

Empty loader used for environment initialisation

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
exists() |  | yii\twig\TwigEmptyLoader
getCacheKey() |  | yii\twig\TwigEmptyLoader
getSourceContext() |  | yii\twig\TwigEmptyLoader
isFresh() |  | yii\twig\TwigEmptyLoader

## Method Details

exists() public method

public void exists ( \yii\twig\string $name )
$name |  |

getCacheKey() public method

public void getCacheKey ( \yii\twig\string $name )
$name |  |

getSourceContext() public method

public void getSourceContext ( \yii\twig\string $name )
$name |  |

isFresh() public method

public void isFresh ( \yii\twig\string $name, \yii\twig\int $time )
$name |  |
$time |  |